Package ch.qos.logback.core.pattern.color

## Class ANSIConstants

- java.lang.Object
- - ch.qos.logback.core.pattern.color.ANSIConstants

    public class ANSIConstants
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `BLACK_FG`
`static java.lang.String` `BLUE_FG`
`static java.lang.String` `BOLD`
`static java.lang.String` `CYAN_FG`
`static java.lang.String` `DEFAULT_FG`
`static java.lang.String` `ESC_END`
`static java.lang.String` `ESC_START`
`static java.lang.String` `GREEN_FG`
`static java.lang.String` `MAGENTA_FG`
`static java.lang.String` `RED_FG`
`static java.lang.String` `WHITE_FG`
`static java.lang.String` `YELLOW_FG`

### Constructor Summary

Constructors
`ANSIConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ESC_START

    public static final java.lang.String ESC_START

See Also:
  Constant Field Values

#### ESC_END

    public static final java.lang.String ESC_END

See Also:
  Constant Field Values

#### BOLD

    public static final java.lang.String BOLD

See Also:
  Constant Field Values

#### BLACK_FG

    public static final java.lang.String BLACK_FG

See Also:
  Constant Field Values

#### RED_FG

    public static final java.lang.String RED_FG

See Also:
  Constant Field Values

#### GREEN_FG

    public static final java.lang.String GREEN_FG

See Also:
  Constant Field Values

#### YELLOW_FG

    public static final java.lang.String YELLOW_FG

See Also:
  Constant Field Values

#### BLUE_FG

    public static final java.lang.String BLUE_FG

See Also:
  Constant Field Values

#### MAGENTA_FG

    public static final java.lang.String MAGENTA_FG

See Also:
  Constant Field Values

#### CYAN_FG

    public static final java.lang.String CYAN_FG

See Also:
  Constant Field Values

#### WHITE_FG

    public static final java.lang.String WHITE_FG

See Also:
  Constant Field Values

#### DEFAULT_FG

    public static final java.lang.String DEFAULT_FG

See Also:
  Constant Field Values

### Constructor Detail

#### ANSIConstants

    public ANSIConstants()